{ config, lib, ... }:
{
  options.system.fancyboot.enable = lib.mkEnableOption "Enable Plymouth";

  config.boot = lib.mkIf config.system.fancyboot.enable {
    plymouth.enable = true;
    loader.timeout = lib.mkForce 0;
    consoleLogLevel = lib.mkForce 0;
    initrd.verbose = false;
    kernelParams = [
      "quiet"
      "splash"
      "boot.shell_on_fail"
      "loglevel=3"
      "rd.systemd.show_status=false"
      "rd.udev.log_level=3"
      "udev.log_priority=3"
    ];
  };
}
